QGIS Application - Bug report #7020
PostGIS provider not using defined port
2013-01-21 06:46 AM - Gavin Fleming

Status: Closed
Priority: Normal
Assignee:

Category: Data Provider

Affected QGIS version:1.8.0
Operating System: ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 16114

Description

QGIS 1.8.0-1~quantal3 from ubuntuGlIS-unstable

PostGIS data provider appears to not be using any port in its connection string.

| have a database with the same name in 8.4 on port 5432 and in 9.1 on 5433. When | connected to my 9.1 database my 8.4 tables came
up. The connection string in each layer's properties had no port defined so it is obviously defaulting to 5432.

History

#1 - 2013-01-21 06:56 AM - Jiirgen Fischer
- Affected QGIS version changed from master to 1.8.0
- Resolution set to fixed

already fixed in commit:fb51¢c27862

#2 - 2013-01-21 07:06 AM - Giovanni Manghi
- Status changed from Open to Closed

2024-03-20

1/1




